Subject: Re: Future of Cygwin32
From: [email-masked] (Darren Evans)

31 Jul 1998 15:34:00 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Geoffrey Noer <[email-masked]>, [email-masked]

At 12:13 AM 7/29/98 +0000, Geoffrey Noer wrote:
>> Im curious what features will be in the next version of Cygnus and when
>> it's due? I seem to recall someone saying, when x returns from Holiday,
>> but that was a while ago ..
>> 
>> Heres my wishlist:
>> Complete with egcs
>> Upto date tools :)
>> Paths stored in registry for cygnus and egcs
>> and so on ..
>
>I don't have a firm feature list yet or a date.  That said, we are
>aiming to make a new release as soon as it makes sense.  We're in the
>middle of Cygwin32 performance optimizations right now so we are
>waiting until Cygwin32 is well-tested again and ready for another
>release.  Windows 98 support will be present.  Hopefully, EGCS 1.1
>will be included as the compiler.  I will let everyone know when we
>know more.

>I am looking into upgrading sed to 3.01 but I don't expect that it
>will make that big of a difference in configure times.  (Hopefully
>I'm wrong).  Linux has the advantage that I/O appears to be much
>faster on ext2 partitions.  If you compare Linux running on a fat
>filesystem to NT on the same, a lot of the performance difference goes
>away...

Great, can't wait.

Also, how about ...

More X libraries (native X support)
Better documentation.

Not that i've used ming, but how about including that too, so we have all
of these packages in 1 big bundle? And also a bigger cygnus tools package?

Out of curisoity too, (yes im always curious) do you guys work on it full
time?
And how many hands are there?

D
------------------------------------------
 Darren Evans                0171 573 5961
 Systems Administrator   FAX 0171 573 5959
 Systems Operation Group
 Online Magic Ltd
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".